Bug 676232 (CVE-2011-0538) - CVE-2011-0538 Wireshark: memory corruption when reading a malformed pcap file (upstream bug #5652)
Summary: CVE-2011-0538 Wireshark: memory corruption when reading a malformed pcap file...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2011-0538
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: public=20110203,reported=20110203,sou...
Depends On: 549582 612240 676781 682932 682936 682937 833994
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-02-09 06:31 UTC by Huzaifa S. Sidhpurwala
Modified: 2019-06-08 18:44 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-06-20 15:47:52 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2011:0369 normal SHIPPED_LIVE Moderate: wireshark security update 2011-03-21 17:07:10 UTC
Red Hat Product Errata RHSA-2011:0370 normal SHIPPED_LIVE Moderate: wireshark security update 2011-03-21 19:39:13 UTC

Description Huzaifa S. Sidhpurwala 2011-02-09 06:31:11 UTC
Common Vulnerabilities and Exposures assigned an identifier CVE-2011-0538 to
the following vulnerability:

Name: CVE-2011-0538
URL: http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2011-0538
Assigned: 20110120
Reference: MLIST:[oss-security] 20110204 Wireshark: Freeing uninitialized pointer
Reference: URL:http://openwall.com/lists/oss-security/2011/02/04/1
Reference: MISC:https://srcm.symantec.com/EditVulnerabilityFixes.aspx?docId=549474
Reference: CONFIRM:https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=5652
Reference: BID:46167
Reference: URL:http://www.securityfocus.com/bid/46167

Wireshark 1.5.0, 1.4.3, and earlier frees an uninitialized pointer
during processing of a .pcap file in the pcap-ng format, which allows
remote attackers to cause a denial of service (memory corruption) or
possibly have unspecified other impact via a malformed file.

Comment 1 Huzaifa S. Sidhpurwala 2011-02-11 07:28:20 UTC
Created wireshark tracking bugs for this issue

Affects: fedora-all [bug 676781]

Comment 2 Huzaifa S. Sidhpurwala 2011-03-03 09:19:46 UTC
Created wireshark tracking bugs for this issue

Affects: fedora-all [bug 676781]

Comment 3 Huzaifa S. Sidhpurwala 2011-03-03 09:29:11 UTC
Created wireshark tracking bugs for this issue

Affects: fedora-all [bug 676781]

Comment 7 errata-xmlrpc 2011-03-21 17:07:19 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2011:0369 https://rhn.redhat.com/errata/RHSA-2011-0369.html

Comment 8 errata-xmlrpc 2011-03-21 19:39:24 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 4
  Red Hat Enterprise Linux 5

Via RHSA-2011:0370 https://rhn.redhat.com/errata/RHSA-2011-0370.html

Comment 9 Murray McAllister 2012-10-03 04:31:22 UTC
Acknowledgements:

This issue was discovered by Huzaifa Sidhpurwala of the Red Hat Security Response Team.


Note You need to log in before you can comment on or make changes to this bug.